@keyframes fade {
    0%, 100% {
      border-color: #FFD200;
      box-shadow: 0px 0px 10px #FFD200 inset;
    }
    33.33% {
      border-color: #8DC63F;
      box-shadow: 0px 0px 10px #8DC63F inset;
    }
    66.67% {
      border-color: #648362;
      box-shadow: 0px 0px 10px #648362 inset;
    }
  }

/* Body */

body {
  margin: 0;
  padding: 0;
  background-color: #EEEEEE;
  font-size: 18px;
  font-family: Arial, Helvetica, sans-serif;
  }

/* Main Container */

#maincontainer {
  position: fixed;
  width: 100%;
  height: 100%;
  overflow-y: auto;
  }

/* Content Area*/
#contentarea{
  height: 100%;
  margin: 0 auto;
  background: linear-gradient(to right, transparent, black, transparent);

  /* Organize application display containers and other content */
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow-y: visible;
}

/* Welcome Banner */
#welcomebanner {
  /* Display Behavior */
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-around;
  align-items: center;

  /* Appearance */
  margin: 0 auto;
  width: 100%;
  padding: 30px;
  box-sizing: border-box;
  border-bottom-left-radius: 50px;
  border-bottom-right-radius: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 50px;
  background-image: linear-gradient(to right, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.75));
  margin-top: 40px;
  margin-bottom: 40px;
  }

#welcomebanner h1 {
  text-align: center;
  margin-top: 10px;
  }

#left-welcome-banner {
  margin: 20px;
  }

#right-welcome-banner {
  margin: 20px;
  }

/* Applications displays*/
.applicationdisplay {
  margin: 0 auto;
  width: 100%;
  padding: 0;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 25px;
  border-bottom-right-radius: 25px;
  margin-top: 0;
  margin-bottom: 40px;
}

/* container top */
.appdisplaycontainertop {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: space-between;
  margin: 0;
  padding: 10px;
  color: white;
  border-bottom: 3px solid #ffcc00;
  background-color: black;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.appdisplaycontainertop h2 {
  margin: 0;
  padding: 0;
}

.appdisplaycontainertop img {
  height: 32px;
}

/* appdisplay content */


/* Footer */
#footer{
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-around;
  align-items: center;

  /* Appearance */
  box-sizing: border-box;
  margin: 0 auto;
  width: 100%;
  padding: 30px;
  padding-bottom: 0;
  border-top-left-radius: 50px;
  border-top-right-radius: 50px;
  background-image: linear-gradient(to right, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.75));
  margin-top: 0;
  }

#left-footer {
  margin: 20px;
  }

/* For a border on hover over dashboard thumbnails. */
.dashboard-thumbnail:hover {
    border-width: 3px;
    border-style: solid;  
    animation: fade 10s linear infinite;
  }
